✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/payouts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"method": "<string>",
"note": "<string>",
"status": "requested",
"requested_amount_eur": "<string>",
"requested_amount_usd": "<string>",
"received_amount_eur": "<string>",
"received_amount_usd": "<string>",
"is_warehouse": true,
"created_at": 123,
"updated_at": 123,
"paid_at": 123,
"rejected_at": 123,
"completed_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Retrieve a paginated list of all payout requests for the authenticated user with filtering and sorting options.
curl --request GET \
--url https://api.gameboost.com/v2/payouts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"method": "<string>",
"note": "<string>",
"status": "requested",
"requested_amount_eur": "<string>",
"requested_amount_usd": "<string>",
"received_amount_eur": "<string>",
"received_amount_usd": "<string>",
"is_warehouse": true,
"created_at": 123,
"updated_at": 123,
"paid_at": 123,
"rejected_at": 123,
"completed_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search payout requests by id or note
Filter by exact id. Supports comma-separated values for multiple matches.
"3,6,9"
Filter by exact method. Supports comma-separated values for multiple matches.
"example"
Filter by exact status. Supports comma-separated values for multiple matches.
"example"
Filter by custom status
Filter by warehouse status
Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2025-10-05"
Filter by paid at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by rejected at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by completed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Sort by field. Prefix with - for descending order.
id, -id, method, -method, status, -status, requested_amount, -requested_amount, partner_amount, -partner_amount, paid_amount, -paid_amount, created_at, -created_at, updated_at, -updated_at, paid_at, -paid_at, completed_at, -completed_at "-created_at"
Items per page (max 50)
1 <= x <= 50Was this page helpful?